DJabberd::SASL::AuthenSASL(3)

NAME
DJabberd::SASL::AuthenSASL - SASL Negotiation using Authen::SASL

DESCRIPTION
This plugin provides straightforward support for SASL negotiations inside DJabberd using Authen::SASL (Authen::SASL::Perl, for now). It compliments the now deprecated iq-auth authentication (XEP-0078).

The recommended usage is to use STARTTLS and SASL-PLAIN.

SYNOPSIS
    <VHost yann.cyberion.net>
        <Plugin DJabberd::SASL::AuthenSASL>
            Optional   yes
            Mechanisms PLAIN LOGIN DIGEST-MD5
        </Plugin>
    </VHost>

DESCRIPTION
Only PLAIN LOGIN and DIGEST-MD5 mechanisms are supported for now (same than in Authen::SASL. DIGEST-MD5 only supports "auth" qop (quality of protection), so it's strongly advised to throw TLS into the mix, and not solely rely on DIGEST-MD5 (as opposed to "auth-int" and "auth-conf").

COPYRIGHT
(c) 2009 Yann Kerherve

This module is part of the DJabberd distribution and is covered by the distribution's overall licence.